org.eclipse.net4j.util.ui

## Class DefaultPropertySource.DelegatingPropertyDescriptor<RECEIVER>

- java.lang.Object
- - org.eclipse.net4j.util.ui.DefaultPropertySource.DelegatingPropertyDescriptor<RECEIVER>

- All Implemented Interfaces:
    IPropertyDescriptor
  Enclosing class:
    DefaultPropertySource<RECEIVER>

      public static final class DefaultPropertySource.DelegatingPropertyDescriptor<RECEIVER>
      extends Object
      implements IPropertyDescriptor

  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DelegatingPropertyDescriptor(Property<RECEIVER> property)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CellEditor` | `createPropertyEditor(Composite parent)`
    `String` | `getCategory()`
    `String` | `getDescription()`
    `String` | `getDisplayName()`
    `String[]` | `getFilterFlags()`
    `Object` | `getHelpContextIds()`
    `String` | `getId()`
    `ILabelProvider` | `getLabelProvider()`
    `Property<RECEIVER>` | `getProperty()`
    `boolean` | `isCompatibleWith(IPropertyDescriptor anotherProperty)`
    `void` | `setLabelProvider(ILabelProvider labelProvider)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DelegatingPropertyDescriptor

          public DelegatingPropertyDescriptor(Property<RECEIVER> property)

  - ### Method Detail

    - #### getProperty

          public Property<RECEIVER> getProperty()

    - #### getCategory

          public String getCategory()

      Specified by:
        `getCategory` in interface `IPropertyDescriptor`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `IPropertyDescriptor`

    - #### getDisplayName

          public String getDisplayName()

      Specified by:
        `getDisplayName` in interface `IPropertyDescriptor`

    - #### getDescription

          public String getDescription()

      Specified by:
        `getDescription` in interface `IPropertyDescriptor`

    - #### isCompatibleWith

          public boolean isCompatibleWith(IPropertyDescriptor anotherProperty)

      Specified by:
        `isCompatibleWith` in interface `IPropertyDescriptor`

    - #### getLabelProvider

          public ILabelProvider getLabelProvider()

      Specified by:
        `getLabelProvider` in interface `IPropertyDescriptor`

    - #### setLabelProvider

          public void setLabelProvider(ILabelProvider labelProvider)

    - #### getHelpContextIds

          public Object getHelpContextIds()

      Specified by:
        `getHelpContextIds` in interface `IPropertyDescriptor`

    - #### getFilterFlags

          public String[] getFilterFlags()

      Specified by:
        `getFilterFlags` in interface `IPropertyDescriptor`

    - #### createPropertyEditor

          public CellEditor createPropertyEditor(Composite parent)

      Specified by:
        `createPropertyEditor` in interface `IPropertyDescriptor`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html